#include <definitions>
/* NB "STARTUP_BACKGROUND" is a special background name - if this exists E
 * Will display the "blinds" on startup and hides whatever it is doing behind
 * these whilst "booting"
 */

BEGIN_BACKGROUND("STARTUP_BACKGROUND")
  SET_SOLID("128 128 128")
  ADD_BACKGROUND_TILED("bg.png")
END_BACKGROUND

/* NB - need to define these for the dragbar - the horizontal one is 
 * displayed on startup
 */
__ICLASS __BGN
  __NAME DESKTOP_DRAGBUTTON_HORIZ
  __NORMAL "bt1.png"
  __EDGE_SCALING   4 4 4 4
  __CLICKED "bt2.png"
  __EDGE_SCALING   4 4 4 4
  __PADDING        4 4 4 4
__END

/* Progress bar stuff needed to be able to start and look decent */
__ICLASS __BGN
  __NAME PROGRESS_BAR
/* normal used for text background */  
  __NORMAL  "mb1.png"
  __EDGE_SCALING   6 22 1 1
/* used for numeric bg */
  __CLICKED "mb1.png"
  __EDGE_SCALING   6 22 1 1
/* used for bar itself */  
  __NORMAL_ACTIVE  "mb2.png"
  __EDGE_SCALING   6 22 1 1
  __PADDING        6 22 1 1
__END

__TCLASS __BGN
  __NAME "PROGRESS_TEXT"
  __JUSTIFICATION 0
  
  __NORMAL "-*-lucida-bold-r-normal-*-*-100-*-*-p-*-iso8859-1"
  __DRAWING_EFFECT __EFFECT_SHADOW
  __FORGROUND_COLOR 225 225 15
  __BACKGROUND_COLOR 0 0 0
__END

__TCLASS __BGN
  __NAME "PROGRESS_TEXT_NUMBER"
  __JUSTIFICATION 512
  
  __NORMAL "-*-lucida-bold-r-normal-*-*-100-*-*-p-*-iso8859-1"
  __DRAWING_EFFECT __EFFECT_SHADOW
  __FORGROUND_COLOR 225 225 15
  __BACKGROUND_COLOR 0 0 0
__END







__TCLASS __BGN
  __NAME "DIALOG_BUTTON"
  __JUSTIFICATION 512
  
  __NORMAL "-*-lucida-bold-r-normal-*-*-100-*-*-p-*-iso8859-1"
  __DRAWING_EFFECT __EFFECT_NONE
  __FORGROUND_COLOR 225 225 15
  __BACKGROUND_COLOR 0 0 0
__END

__TCLASS __BGN
  __NAME "DIALOG"
  __JUSTIFICATION 512
  
  __NORMAL "-*-lucida-medium-r-normal-*-*-100-*-*-p-*-iso8859-1"
  __DRAWING_EFFECT __EFFECT_NONE
  __FORGROUND_COLOR 225 225 15
  __BACKGROUND_COLOR 0 0 0
__END

__ICLASS __BGN
  __NAME DIALOG_BUTTON
  __NORMAL "bt1.png"
  __EDGE_SCALING   4 4 4 4
  __CLICKED "bt2.png"
  __EDGE_SCALING   4 4 4 4
  __PADDING        4 4 4 4
__END

__ICLASS __BGN
  __NAME DIALOG
  __NORMAL "bt1.png"
  __EDGE_SCALING   4 4 4 4
  __CLICKED "bt2.png"
  __EDGE_SCALING   4 4 4 4
  __PADDING        4 4 4 4
__END
